Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.prover
Class SimplifyOutput

    java.lang.Object
      escjava.prover.SimplifyOutput

Direct Known Subclasses:
  SimplifyComment, SimplifyOutputSentinel, SimplifyResult

public class SimplifyOutput
extends java.lang.Object

Objects of this class represent possible normal outputs from Simplify.

See Also:
  `Simplify`, `CECEnum`, `SExp`

Field Summary
`static int` | `COMMENT`
`static int` | `COUNTEREXAMPLE`
`static int` | `END`
`static int` | `EXCEEDED_PROVER_KILL_ITER`
`static int` | `EXCEEDED_PROVER_KILL_TIME`
`static int` | `EXCEEDED_PROVER_SUBGOAL_KILL_ITER`
`static int` | `EXCEEDED_PROVER_SUBGOAL_KILL_TIME`
`static int` | `INVALID`
`(package private) int` | `kind`
`static int` | `REACHED_CC_LIMIT`
`static int` | `UNKNOWN`
`static int` | `VALID`
`static int` | `WARNING_TRIGGERLESS_QUANT`

Constructor Summary
`(package private)` | `SimplifyOutput(int kind)`

Method Summary
`int` | `getKind()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALID

    public static final int VALID

See Also:
  Constant Field Values

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### COUNTEREXAMPLE

    public static final int COUNTEREXAMPLE

See Also:
  Constant Field Values

### EXCEEDED_PROVER_KILL_TIME

    public static final int EXCEEDED_PROVER_KILL_TIME

See Also:
  Constant Field Values

### EXCEEDED_PROVER_KILL_ITER

    public static final int EXCEEDED_PROVER_KILL_ITER

See Also:
  Constant Field Values

### REACHED_CC_LIMIT

    public static final int REACHED_CC_LIMIT

See Also:
  Constant Field Values

### EXCEEDED_PROVER_SUBGOAL_KILL_TIME

    public static final int EXCEEDED_PROVER_SUBGOAL_KILL_TIME

See Also:
  Constant Field Values

### EXCEEDED_PROVER_SUBGOAL_KILL_ITER

    public static final int EXCEEDED_PROVER_SUBGOAL_KILL_ITER

See Also:
  Constant Field Values

### WARNING_TRIGGERLESS_QUANT

    public static final int WARNING_TRIGGERLESS_QUANT

See Also:
  Constant Field Values

### END

    public static final int END

See Also:
  Constant Field Values

### kind

    int kind

Constructor Detail

### SimplifyOutput

    SimplifyOutput(int kind)

Method Detail

### getKind

    public int getKind()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage